package com.tofly.watermeter.custom.service.websb;

import com.tofly.watermeter.custom.entity.webserverbean.*;
import com.tofly.watermeter.custom.vo.QfkhjbxxMeiCunVO;
import com.tofly.watermeter.entity.Qfkhjbxx;

import java.util.List;
import java.util.Map;

/**
 * 森鑫炬业务接口
 * @author FlashWJL
 * @date 2021/5/28 11:11
 */
public interface WebSBservice {

    //查询客户信息
    List<Qfkhjbxx> getKH(KhInfo khInfo);

    List<Qfkhjbxx> getUpdateAndInsert(CustomerAddorUpdate customerAddorUpdate);

    //新装  修改客户信息
    Map newInstall(NewInstall newInstall);

    //换表

    Map exchangeSB(ExchangeSB exchangeSB);

    //获取所有抄表片区
    List<ReadAreas> getReadAreas(CbParamInfo cbParamInfo);


    /**
     * 仪陇获取用户信息
     * @param pageNum
     * @param pageSize
     * @return
     */
    QfkhjbxxMeiCunVO getUpdateAndInsertMeiCun(Integer pageNum, Integer pageSize);


}
